"use strict";
exports.id = 1388;
exports.ids = [1388];
exports.modules = {

/***/ 42985:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "g": () => (/* binding */ MediaServerType)
/* harmony export */ });
let MediaServerType;

(function (MediaServerType) {
  MediaServerType[MediaServerType["PLEX"] = 1] = "PLEX";
  MediaServerType[MediaServerType["JELLYFIN"] = 2] = "JELLYFIN";
  MediaServerType[MediaServerType["EMBY"] = 3] = "EMBY";
  MediaServerType[MediaServerType["NOT_CONFIGURED"] = 4] = "NOT_CONFIGURED";
})(MediaServerType || (MediaServerType = {}));

/***/ }),

/***/ 53725:
/***/ ((module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.a(module, async (__webpack_handle_async_dependencies__, __webpack_async_result__) => { try {
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "J": () => (/* binding */ SettingsContext),
/* harmony export */   "m": () => (/* binding */ SettingsProvider)
/* harmony export */ });
/* harmony import */ var _server_constants_server__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(42985);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(16689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var swr__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(15941);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(20997);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__);
var __webpack_async_dependencies__ = __webpack_handle_async_dependencies__([swr__WEBPACK_IMPORTED_MODULE_2__]);
swr__WEBPACK_IMPORTED_MODULE_2__ = (__webpack_async_dependencies__.then ? (await __webpack_async_dependencies__)() : __webpack_async_dependencies__)[0];




const defaultSettings = {
  initialized: false,
  applicationTitle: 'Overseerr',
  applicationUrl: '',
  hideAvailable: false,
  localLogin: true,
  movie4kEnabled: false,
  series4kEnabled: false,
  region: '',
  originalLanguage: '',
  mediaServerType: _server_constants_server__WEBPACK_IMPORTED_MODULE_0__/* .MediaServerType.NOT_CONFIGURED */ .g.NOT_CONFIGURED,
  partialRequestsEnabled: true,
  cacheImages: false,
  vapidPublic: '',
  enablePushRegistration: false,
  locale: 'en',
  emailEnabled: false,
  newPlexLogin: true
};
const SettingsContext = /*#__PURE__*/react__WEBPACK_IMPORTED_MODULE_1___default().createContext({
  currentSettings: defaultSettings
});
const SettingsProvider = ({
  children,
  currentSettings
}) => {
  const {
    data,
    error
  } = (0,swr__WEBPACK_IMPORTED_MODULE_2__["default"])('/api/v1/settings/public', {
    fallbackData: currentSettings
  });
  let newSettings = defaultSettings;

  if (data && !error) {
    newSettings = data;
  }

  return /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_3__.jsx(SettingsContext.Provider, {
    value: {
      currentSettings: newSettings
    },
    children: children
  });
};
__webpack_async_result__();
} catch(e) { __webpack_async_result__(e); } });

/***/ }),

/***/ 1388:
/***/ ((module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.a(module, async (__webpack_handle_async_dependencies__, __webpack_async_result__) => { try {
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _app_context_SettingsContext__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(53725);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(16689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
var __webpack_async_dependencies__ = __webpack_handle_async_dependencies__([_app_context_SettingsContext__WEBPACK_IMPORTED_MODULE_0__]);
_app_context_SettingsContext__WEBPACK_IMPORTED_MODULE_0__ = (__webpack_async_dependencies__.then ? (await __webpack_async_dependencies__)() : __webpack_async_dependencies__)[0];



const useSettings = () => {
  const settings = (0,react__WEBPACK_IMPORTED_MODULE_1__.useContext)(_app_context_SettingsContext__WEBPACK_IMPORTED_MODULE_0__/* .SettingsContext */ .J);
  return settings;
};

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (useSettings);
__webpack_async_result__();
} catch(e) { __webpack_async_result__(e); } });

/***/ })

};
;