"use strict";
exports.id = 21880;
exports.ids = [21880];
exports.modules = {

/***/ 60738:
/***/ ((__unused_webpack_module, __webpack_exports__, __webpack_require__) => {

/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* unused harmony export AccordionContent */
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(16689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react_animate_height__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(48764);
/* harmony import */ var react_animate_height__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react_animate_height__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(20997);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__);



const AccordionContent = ({
  isOpen,
  children
}) => {
  return /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_2__.jsx((react_animate_height__WEBPACK_IMPORTED_MODULE_1___default()), {
    height: isOpen ? 'auto' : 0,
    children: children
  });
};

const Accordion = ({
  single,
  atLeastOne,
  initialOpenIndexes,
  children
}) => {
  const initialState = initialOpenIndexes || atLeastOne && [0] || [];
  const {
    0: openIndexes,
    1: setOpenIndexes
  } = (0,react__WEBPACK_IMPORTED_MODULE_0__.useState)(initialState);

  const close = index => {
    const openCount = openIndexes.length;
    const newListOfIndexes = atLeastOne && openCount === 1 && openIndexes.includes(index) ? openIndexes : openIndexes.filter(i => i !== index);
    setOpenIndexes(newListOfIndexes);
  };

  const open = index => {
    const newListOfIndexes = single ? [index] : [...openIndexes, index];
    setOpenIndexes(newListOfIndexes);
  };

  const handleItemClick = index => {
    const action = openIndexes.includes(index) ? 'closing' : 'opening';

    if (action === 'closing') {
      close(index);
    } else {
      open(index);
    }
  };

  return children({
    openIndexes: openIndexes,
    handleClick: handleItemClick,
    AccordionContent
  });
};

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (Accordion);

/***/ }),

/***/ 67893:
/***/ ((module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.a(module, async (__webpack_handle_async_dependencies__, __webpack_async_result__) => { try {
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _app_components_Common_Button__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(19998);
/* harmony import */ var _app_components_Common_Tooltip__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(63145);
/* harmony import */ var _app_hooks_useSettings__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1388);
/* harmony import */ var _heroicons_react_24_solid__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(98802);
/* harmony import */ var _heroicons_react_24_solid__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(_heroicons_react_24_solid__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(99648);
/* harmony import */ var formik__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(2296);
/* harmony import */ var formik__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(formik__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var next_config__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(64558);
/* harmony import */ var next_config__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(next_config__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var react_intl__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(13126);
/* harmony import */ var react_intl__WEBPACK_IMPORTED_MODULE_7___default = /*#__PURE__*/__webpack_require__.n(react_intl__WEBPACK_IMPORTED_MODULE_7__);
/* harmony import */ var react_toast_notifications__WEBPACK_IMPORTED_MODULE_8__ = __webpack_require__(95927);
/* harmony import */ var react_toast_notifications__WEBPACK_IMPORTED_MODULE_8___default = /*#__PURE__*/__webpack_require__.n(react_toast_notifications__WEBPACK_IMPORTED_MODULE_8__);
/* harmony import */ var yup__WEBPACK_IMPORTED_MODULE_9__ = __webpack_require__(75609);
/* harmony import */ var yup__WEBPACK_IMPORTED_MODULE_9___default = /*#__PURE__*/__webpack_require__.n(yup__WEBPACK_IMPORTED_MODULE_9__);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__ = __webpack_require__(20997);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__);
var __webpack_async_dependencies__ = __webpack_handle_async_dependencies__([_app_hooks_useSettings__WEBPACK_IMPORTED_MODULE_2__, axios__WEBPACK_IMPORTED_MODULE_4__]);
([_app_hooks_useSettings__WEBPACK_IMPORTED_MODULE_2__, axios__WEBPACK_IMPORTED_MODULE_4__] = __webpack_async_dependencies__.then ? (await __webpack_async_dependencies__)() : __webpack_async_dependencies__);













const messages = (0,react_intl__WEBPACK_IMPORTED_MODULE_7__.defineMessages)({
  username: {
    "id": "components.Login.username",
    "defaultMessage": 'Username'
  },
  password: {
    "id": "components.Login.password",
    "defaultMessage": 'Password'
  },
  host: {
    "id": "components.Login.host",
    "defaultMessage": '{mediaServerName} URL'
  },
  email: {
    "id": "components.Login.email",
    "defaultMessage": 'Email'
  },
  emailtooltip: {
    "id": "components.Login.emailtooltip",
    "defaultMessage": 'Address does not need to be associated with your {mediaServerName} instance.'
  },
  validationhostrequired: {
    "id": "components.Login.validationhostrequired",
    "defaultMessage": '{mediaServerName} URL required'
  },
  validationhostformat: {
    "id": "components.Login.validationhostformat",
    "defaultMessage": 'Valid URL required'
  },
  validationemailrequired: {
    "id": "components.Login.validationemailrequired",
    "defaultMessage": 'Email required'
  },
  validationemailformat: {
    "id": "components.Login.validationemailformat",
    "defaultMessage": 'Valid email required'
  },
  validationusernamerequired: {
    "id": "components.Login.validationusernamerequired",
    "defaultMessage": 'Username required'
  },
  validationpasswordrequired: {
    "id": "components.Login.validationpasswordrequired",
    "defaultMessage": 'Password required'
  },
  loginerror: {
    "id": "components.Login.loginerror",
    "defaultMessage": 'Something went wrong while trying to sign in.'
  },
  adminerror: {
    "id": "components.Login.adminerror",
    "defaultMessage": 'You must use an admin account to sign in.'
  },
  credentialerror: {
    "id": "components.Login.credentialerror",
    "defaultMessage": 'The username or password is incorrect.'
  },
  signingin: {
    "id": "components.Login.signingin",
    "defaultMessage": 'Signing in…'
  },
  signin: {
    "id": "components.Login.signin",
    "defaultMessage": 'Sign In'
  },
  initialsigningin: {
    "id": "components.Login.initialsigningin",
    "defaultMessage": 'Connecting…'
  },
  initialsignin: {
    "id": "components.Login.initialsignin",
    "defaultMessage": 'Connect'
  },
  forgotpassword: {
    "id": "components.Login.forgotpassword",
    "defaultMessage": 'Forgot Password?'
  }
});

const JellyfinLogin = ({
  revalidate,
  initial
}) => {
  const toasts = (0,react_toast_notifications__WEBPACK_IMPORTED_MODULE_8__.useToasts)();
  const intl = (0,react_intl__WEBPACK_IMPORTED_MODULE_7__.useIntl)();
  const settings = (0,_app_hooks_useSettings__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .Z)();
  const {
    publicRuntimeConfig
  } = next_config__WEBPACK_IMPORTED_MODULE_6___default()();

  if (initial) {
    const LoginSchema = yup__WEBPACK_IMPORTED_MODULE_9__.object().shape({
      host: yup__WEBPACK_IMPORTED_MODULE_9__.string().matches(/^(?:(?:(?:https?):)?\/\/)(?:\S+(?::\S*)?@)?(?:(?:[1-9]\d?|1\d\d|2[01]\d|22[0-3])(?:\.(?:1?\d{1,2}|2[0-4]\d|25[0-5])){2}(?:\.(?:[1-9]\d?|1\d\d|2[0-4]\d|25[0-4]))|(?:(?:[a-z\u00a1-\uffff0-9]-*)*[a-z\u00a1-\uffff0-9]+)(?:\.(?:[a-z\u00a1-\uffff0-9]-*)*[a-z\u00a1-\uffff0-9]+)*\.?)(?::\d{2,5})?(?:[/?#]\S*)?$/, intl.formatMessage(messages.validationhostformat)).required(intl.formatMessage(messages.validationhostrequired, {
        mediaServerName: publicRuntimeConfig.JELLYFIN_TYPE == 'emby' ? 'Emby' : 'Jellyfin'
      })),
      email: yup__WEBPACK_IMPORTED_MODULE_9__.string().email(intl.formatMessage(messages.validationemailformat)).required(intl.formatMessage(messages.validationemailrequired)),
      username: yup__WEBPACK_IMPORTED_MODULE_9__.string().required(intl.formatMessage(messages.validationusernamerequired)),
      password: yup__WEBPACK_IMPORTED_MODULE_9__.string()
    });
    const mediaServerFormatValues = {
      mediaServerName: publicRuntimeConfig.JELLYFIN_TYPE == 'emby' ? 'Emby' : 'Jellyfin'
    };
    return /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx(formik__WEBPACK_IMPORTED_MODULE_5__.Formik, {
      initialValues: {
        username: '',
        password: '',
        host: '',
        email: ''
      },
      validationSchema: LoginSchema,
      onSubmit: async values => {
        try {
          await axios__WEBPACK_IMPORTED_MODULE_4__["default"].post('/api/v1/auth/jellyfin', {
            username: values.username,
            password: values.password,
            hostname: values.host,
            email: values.email
          });
        } catch (e) {
          toasts.addToast(intl.formatMessage(e.message == 'Request failed with status code 401' ? messages.credentialerror : e.message == 'Request failed with status code 403' ? messages.adminerror : messages.loginerror), {
            autoDismiss: true,
            appearance: 'error'
          });
        } finally {
          revalidate();
        }
      },
      children: ({
        errors,
        touched,
        isSubmitting,
        isValid
      }) => /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsxs)(formik__WEBPACK_IMPORTED_MODULE_5__.Form, {
        children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsxs)("div", {
          className: "sm:border-t sm:border-gray-800",
          children: [/*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx("label", {
            htmlFor: "host",
            className: "text-label",
            children: intl.formatMessage(messages.host, mediaServerFormatValues)
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsxs)("div", {
            className: "mt-1 mb-2 sm:col-span-2 sm:mt-0",
            children: [/*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx("div", {
              className: "flex rounded-md shadow-sm",
              children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx(formik__WEBPACK_IMPORTED_MODULE_5__.Field, {
                id: "host",
                name: "host",
                type: "text",
                placeholder: intl.formatMessage(messages.host, mediaServerFormatValues)
              })
            }), errors.host && touched.host && /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx("div", {
              className: "error",
              children: errors.host
            })]
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsxs)("label", {
            htmlFor: "email",
            className: "text-label",
            style: {
              display: 'inline-flex'
            },
            children: [intl.formatMessage(messages.email), /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx("span", {
              className: "label-tip",
              children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx(_app_components_Common_Tooltip__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .Z, {
                content: intl.formatMessage(messages.emailtooltip, mediaServerFormatValues),
                children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx("span", {
                  className: "tooltip-trigger",
                  children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx(_heroicons_react_24_solid__WEBPACK_IMPORTED_MODULE_3__.InformationCircleIcon, {
                    className: "h-4 w-4"
                  })
                })
              })
            })]
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsxs)("div", {
            className: "mt-1 mb-2 sm:col-span-2 sm:mt-0",
            children: [/*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx("div", {
              className: "flex rounded-md shadow-sm",
              children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx(formik__WEBPACK_IMPORTED_MODULE_5__.Field, {
                id: "email",
                name: "email",
                type: "text",
                placeholder: intl.formatMessage(messages.email)
              })
            }), errors.email && touched.email && /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx("div", {
              className: "error",
              children: errors.email
            })]
          }), /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx("label", {
            htmlFor: "username",
            className: "text-label",
            children: intl.formatMessage(messages.username)
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsxs)("div", {
            className: "mt-1 mb-2 sm:col-span-2 sm:mt-0",
            children: [/*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx("div", {
              className: "flex rounded-md shadow-sm",
              children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx(formik__WEBPACK_IMPORTED_MODULE_5__.Field, {
                id: "username",
                name: "username",
                type: "text",
                placeholder: intl.formatMessage(messages.username)
              })
            }), errors.username && touched.username && /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx("div", {
              className: "error",
              children: errors.username
            })]
          }), /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx("label", {
            htmlFor: "password",
            className: "text-label",
            children: intl.formatMessage(messages.password)
          }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsxs)("div", {
            className: "mt-1 mb-2 sm:col-span-2 sm:mt-0",
            children: [/*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx("div", {
              className: "flexrounded-md shadow-sm",
              children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx(formik__WEBPACK_IMPORTED_MODULE_5__.Field, {
                id: "password",
                name: "password",
                type: "password",
                placeholder: intl.formatMessage(messages.password)
              })
            }), errors.password && touched.password && /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx("div", {
              className: "error",
              children: errors.password
            })]
          })]
        }), /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx("div", {
          className: "mt-8 border-t border-gray-700 pt-5",
          children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx("div", {
            className: "flex justify-end",
            children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx("span", {
              className: "inline-flex rounded-md shadow-sm",
              children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx(_app_components_Common_Button__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .Z, {
                buttonType: "primary",
                type: "submit",
                disabled: isSubmitting || !isValid,
                children: isSubmitting ? intl.formatMessage(messages.signingin) : intl.formatMessage(messages.signin)
              })
            })
          })
        })]
      })
    });
  } else {
    const LoginSchema = yup__WEBPACK_IMPORTED_MODULE_9__.object().shape({
      username: yup__WEBPACK_IMPORTED_MODULE_9__.string().required(intl.formatMessage(messages.validationusernamerequired)),
      password: yup__WEBPACK_IMPORTED_MODULE_9__.string()
    });
    const baseUrl = settings.currentSettings.jellyfinExternalHost ? settings.currentSettings.jellyfinExternalHost : settings.currentSettings.jellyfinHost;
    const jellyfinForgotPasswordUrl = settings.currentSettings.jellyfinForgotPasswordUrl;
    return /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx("div", {
      children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx(formik__WEBPACK_IMPORTED_MODULE_5__.Formik, {
        initialValues: {
          username: '',
          password: ''
        },
        validationSchema: LoginSchema,
        onSubmit: async values => {
          try {
            await axios__WEBPACK_IMPORTED_MODULE_4__["default"].post('/api/v1/auth/jellyfin', {
              username: values.username,
              password: values.password,
              email: values.username
            });
          } catch (e) {
            toasts.addToast(intl.formatMessage(e.message == 'Request failed with status code 401' ? messages.credentialerror : messages.loginerror), {
              autoDismiss: true,
              appearance: 'error'
            });
          } finally {
            revalidate();
          }
        },
        children: ({
          errors,
          touched,
          isSubmitting,
          isValid
        }) => {
          return /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.Fragment, {
            children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsxs)(formik__WEBPACK_IMPORTED_MODULE_5__.Form, {
              children: [/*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsxs)("div", {
                className: "sm:border-t sm:border-gray-800",
                children: [/*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx("label", {
                  htmlFor: "username",
                  className: "text-label",
                  children: intl.formatMessage(messages.username)
                }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsxs)("div", {
                  className: "mt-1 mb-2 sm:col-span-2 sm:mt-0",
                  children: [/*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx("div", {
                    className: "flex max-w-lg rounded-md shadow-sm",
                    children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx(formik__WEBPACK_IMPORTED_MODULE_5__.Field, {
                      id: "username",
                      name: "username",
                      type: "text",
                      placeholder: intl.formatMessage(messages.username)
                    })
                  }), errors.username && touched.username && /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx("div", {
                    className: "error",
                    children: errors.username
                  })]
                }), /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx("label", {
                  htmlFor: "password",
                  className: "text-label",
                  children: intl.formatMessage(messages.password)
                }), /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsxs)("div", {
                  className: "mt-1 mb-2 sm:col-span-2 sm:mt-0",
                  children: [/*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx("div", {
                    className: "flex max-w-lg rounded-md shadow-sm",
                    children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx(formik__WEBPACK_IMPORTED_MODULE_5__.Field, {
                      id: "password",
                      name: "password",
                      type: "password",
                      placeholder: intl.formatMessage(messages.password)
                    })
                  }), errors.password && touched.password && /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx("div", {
                    className: "error",
                    children: errors.password
                  })]
                })]
              }), /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx("div", {
                className: "mt-8 border-t border-gray-700 pt-5",
                children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsxs)("div", {
                  className: "flex justify-between",
                  children: [/*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx("span", {
                    className: "inline-flex rounded-md shadow-sm",
                    children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx(_app_components_Common_Button__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .Z, {
                      as: "a",
                      buttonType: "ghost",
                      href: jellyfinForgotPasswordUrl ? `${jellyfinForgotPasswordUrl}` : `${baseUrl}/web/index.html#!/${process.env.JELLYFIN_TYPE === 'emby' ? 'startup/' : ''}forgotpassword.html`,
                      children: intl.formatMessage(messages.forgotpassword)
                    })
                  }), /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx("span", {
                    className: "inline-flex rounded-md shadow-sm",
                    children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_10__.jsx(_app_components_Common_Button__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .Z, {
                      buttonType: "primary",
                      type: "submit",
                      disabled: isSubmitting || !isValid,
                      children: isSubmitting ? intl.formatMessage(messages.signingin) : intl.formatMessage(messages.signin)
                    })
                  })]
                })
              })]
            })
          });
        }
      })
    });
  }
};

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (JellyfinLogin);
__webpack_async_result__();
} catch(e) { __webpack_async_result__(e); } });

/***/ }),

/***/ 77867:
/***/ ((module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.a(module, async (__webpack_handle_async_dependencies__, __webpack_async_result__) => { try {
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _app_i18n_globalMessages__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(80210);
/* harmony import */ var _app_utils_plex__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(2705);
/* harmony import */ var _heroicons_react_24_outline__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(12135);
/* harmony import */ var _heroicons_react_24_outline__WEBPACK_IMPORTED_MODULE_2___default = /*#__PURE__*/__webpack_require__.n(_heroicons_react_24_outline__WEBPACK_IMPORTED_MODULE_2__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(16689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_3___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_3__);
/* harmony import */ var react_intl__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(13126);
/* harmony import */ var react_intl__WEBPACK_IMPORTED_MODULE_4___default = /*#__PURE__*/__webpack_require__.n(react_intl__WEBPACK_IMPORTED_MODULE_4__);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(20997);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__);
var __webpack_async_dependencies__ = __webpack_handle_async_dependencies__([_app_utils_plex__WEBPACK_IMPORTED_MODULE_1__]);
_app_utils_plex__WEBPACK_IMPORTED_MODULE_1__ = (__webpack_async_dependencies__.then ? (await __webpack_async_dependencies__)() : __webpack_async_dependencies__)[0];







const messages = (0,react_intl__WEBPACK_IMPORTED_MODULE_4__.defineMessages)({
  signinwithplex: {
    "id": "components.PlexLoginButton.signinwithplex",
    "defaultMessage": 'Sign In'
  },
  signingin: {
    "id": "components.PlexLoginButton.signingin",
    "defaultMessage": 'Signing In…'
  }
});
const plexOAuth = new _app_utils_plex__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .Z();

const PlexLoginButton = ({
  onAuthToken,
  onError,
  isProcessing
}) => {
  const intl = (0,react_intl__WEBPACK_IMPORTED_MODULE_4__.useIntl)();
  const {
    0: loading,
    1: setLoading
  } = (0,react__WEBPACK_IMPORTED_MODULE_3__.useState)(false);

  const getPlexLogin = async () => {
    setLoading(true);

    try {
      const authToken = await plexOAuth.login();
      setLoading(false);
      onAuthToken(authToken);
    } catch (e) {
      if (onError) {
        onError(e.message);
      }

      setLoading(false);
    }
  };

  return /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx("span", {
    className: "block w-full rounded-md shadow-sm",
    children: /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsxs)("button", {
      type: "button",
      onClick: () => {
        plexOAuth.preparePopup();
        setTimeout(() => getPlexLogin(), 1500);
      },
      disabled: loading || isProcessing,
      className: "plex-button",
      children: [/*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx(_heroicons_react_24_outline__WEBPACK_IMPORTED_MODULE_2__.ArrowLeftOnRectangleIcon, {}), /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_5__.jsx("span", {
        children: loading ? intl.formatMessage(_app_i18n_globalMessages__WEBPACK_IMPORTED_MODULE_0__/* ["default"].loading */ .Z.loading) : isProcessing ? intl.formatMessage(messages.signingin) : intl.formatMessage(messages.signinwithplex)
      })]
    })
  });
};

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (PlexLoginButton);
__webpack_async_result__();
} catch(e) { __webpack_async_result__(e); } });

/***/ }),

/***/ 2705:
/***/ ((module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.a(module, async (__webpack_handle_async_dependencies__, __webpack_async_result__) => { try {
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var axios__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(99648);
/* harmony import */ var bowser__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(92793);
/* harmony import */ var bowser__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(bowser__WEBPACK_IMPORTED_MODULE_1__);
var __webpack_async_dependencies__ = __webpack_handle_async_dependencies__([axios__WEBPACK_IMPORTED_MODULE_0__]);
axios__WEBPACK_IMPORTED_MODULE_0__ = (__webpack_async_dependencies__.then ? (await __webpack_async_dependencies__)() : __webpack_async_dependencies__)[0];
function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }




const uuidv4 = () => {
  return (1e7.toString() + -1e3 + -4e3 + -8e3 + -1e11).replace(/[018]/g, function (c) {
    return (parseInt(c) ^ window.crypto.getRandomValues(new Uint8Array(1))[0] & 15 >> parseInt(c) / 4).toString(16);
  });
};

class PlexOAuth {
  constructor() {
    _defineProperty(this, "plexHeaders", void 0);

    _defineProperty(this, "pin", void 0);

    _defineProperty(this, "popup", void 0);

    _defineProperty(this, "authToken", void 0);
  }

  initializeHeaders() {
    if (!window) {
      throw new Error('Window is not defined. Are you calling this in the browser?');
    }

    let clientId = localStorage.getItem('plex-client-id');

    if (!clientId) {
      const uuid = uuidv4();
      localStorage.setItem('plex-client-id', uuid);
      clientId = uuid;
    }

    const browser = bowser__WEBPACK_IMPORTED_MODULE_1___default().getParser(window.navigator.userAgent);
    this.plexHeaders = {
      Accept: 'application/json',
      'X-Plex-Product': 'Overseerr',
      'X-Plex-Version': 'Plex OAuth',
      'X-Plex-Client-Identifier': clientId,
      'X-Plex-Model': 'Plex OAuth',
      'X-Plex-Platform': browser.getBrowserName(),
      'X-Plex-Platform-Version': browser.getBrowserVersion(),
      'X-Plex-Device': browser.getOSName(),
      'X-Plex-Device-Name': `${browser.getBrowserName()} (Overseerr)`,
      'X-Plex-Device-Screen-Resolution': window.screen.width + 'x' + window.screen.height,
      'X-Plex-Language': 'en'
    };
  }

  async getPin() {
    if (!this.plexHeaders) {
      throw new Error('You must initialize the plex headers clientside to login');
    }

    const response = await axios__WEBPACK_IMPORTED_MODULE_0__["default"].post('https://plex.tv/api/v2/pins?strong=true', undefined, {
      headers: this.plexHeaders
    });
    this.pin = {
      id: response.data.id,
      code: response.data.code
    };
    return this.pin;
  }

  preparePopup() {
    this.openPopup({
      title: 'Plex Auth',
      w: 600,
      h: 700
    });
  }

  async login() {
    this.initializeHeaders();
    await this.getPin();

    if (!this.plexHeaders || !this.pin) {
      throw new Error('Unable to call login if class is not initialized.');
    }

    const params = {
      clientID: this.plexHeaders['X-Plex-Client-Identifier'],
      'context[device][product]': this.plexHeaders['X-Plex-Product'],
      'context[device][version]': this.plexHeaders['X-Plex-Version'],
      'context[device][platform]': this.plexHeaders['X-Plex-Platform'],
      'context[device][platformVersion]': this.plexHeaders['X-Plex-Platform-Version'],
      'context[device][device]': this.plexHeaders['X-Plex-Device'],
      'context[device][deviceName]': this.plexHeaders['X-Plex-Device-Name'],
      'context[device][model]': this.plexHeaders['X-Plex-Model'],
      'context[device][screenResolution]': this.plexHeaders['X-Plex-Device-Screen-Resolution'],
      'context[device][layout]': 'desktop',
      code: this.pin.code
    };

    if (this.popup) {
      this.popup.location.href = `https://app.plex.tv/auth/#!?${this.encodeData(params)}`;
    }

    return this.pinPoll();
  }

  async pinPoll() {
    const executePoll = async (resolve, reject) => {
      try {
        if (!this.pin) {
          throw new Error('Unable to poll when pin is not initialized.');
        }

        const response = await axios__WEBPACK_IMPORTED_MODULE_0__["default"].get(`https://plex.tv/api/v2/pins/${this.pin.id}`, {
          headers: this.plexHeaders
        });

        if (response.data?.authToken) {
          this.authToken = response.data.authToken;
          this.closePopup();
          resolve(this.authToken);
        } else if (!response.data?.authToken && !this.popup?.closed) {
          setTimeout(executePoll, 1000, resolve, reject);
        } else {
          reject(new Error('Popup closed without completing login'));
        }
      } catch (e) {
        this.closePopup();
        reject(e);
      }
    };

    return new Promise(executePoll);
  }

  closePopup() {
    this.popup?.close();
    this.popup = undefined;
  }

  openPopup({
    title,
    w,
    h
  }) {
    if (!window) {
      throw new Error('Window is undefined. Are you running this in the browser?');
    } // Fixes dual-screen position                         Most browsers      Firefox


    const dualScreenLeft = window.screenLeft != undefined ? window.screenLeft : window.screenX;
    const dualScreenTop = window.screenTop != undefined ? window.screenTop : window.screenY;
    const width = window.innerWidth ? window.innerWidth : document.documentElement.clientWidth ? document.documentElement.clientWidth : screen.width;
    const height = window.innerHeight ? window.innerHeight : document.documentElement.clientHeight ? document.documentElement.clientHeight : screen.height;
    const left = width / 2 - w / 2 + dualScreenLeft;
    const top = height / 2 - h / 2 + dualScreenTop; //Set url to login/plex/loading so browser doesn't block popup

    const newWindow = window.open('/login/plex/loading', title, 'scrollbars=yes, width=' + w + ', height=' + h + ', top=' + top + ', left=' + left);

    if (newWindow) {
      newWindow.focus();
      this.popup = newWindow;
      return this.popup;
    }
  }

  encodeData(data) {
    return Object.keys(data).map(function (key) {
      return [key, data[key]].map(encodeURIComponent).join('=');
    }).join('&');
  }

}

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (PlexOAuth);
__webpack_async_result__();
} catch(e) { __webpack_async_result__(e); } });

/***/ })

};
;