"use strict";
exports.id = 35754;
exports.ids = [35754];
exports.modules = {

/***/ 91865:
/***/ ((module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.a(module, async (__webpack_handle_async_dependencies__, __webpack_async_result__) => { try {
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var _app_components_Common_PageTitle__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(74449);
/* harmony import */ var _app_components_Common_SettingsTabs__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(33173);
/* harmony import */ var _app_hooks_useSettings__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(1388);
/* harmony import */ var _app_i18n_globalMessages__WEBPACK_IMPORTED_MODULE_3__ = __webpack_require__(80210);
/* harmony import */ var _server_constants_server__WEBPACK_IMPORTED_MODULE_4__ = __webpack_require__(42985);
/* harmony import */ var next_config__WEBPACK_IMPORTED_MODULE_5__ = __webpack_require__(64558);
/* harmony import */ var next_config__WEBPACK_IMPORTED_MODULE_5___default = /*#__PURE__*/__webpack_require__.n(next_config__WEBPACK_IMPORTED_MODULE_5__);
/* harmony import */ var react_intl__WEBPACK_IMPORTED_MODULE_6__ = __webpack_require__(13126);
/* harmony import */ var react_intl__WEBPACK_IMPORTED_MODULE_6___default = /*#__PURE__*/__webpack_require__.n(react_intl__WEBPACK_IMPORTED_MODULE_6__);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__ = __webpack_require__(20997);
/* harmony import */ var react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7___default = /*#__PURE__*/__webpack_require__.n(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__);
var __webpack_async_dependencies__ = __webpack_handle_async_dependencies__([_app_components_Common_PageTitle__WEBPACK_IMPORTED_MODULE_0__, _app_components_Common_SettingsTabs__WEBPACK_IMPORTED_MODULE_1__, _app_hooks_useSettings__WEBPACK_IMPORTED_MODULE_2__]);
([_app_components_Common_PageTitle__WEBPACK_IMPORTED_MODULE_0__, _app_components_Common_SettingsTabs__WEBPACK_IMPORTED_MODULE_1__, _app_hooks_useSettings__WEBPACK_IMPORTED_MODULE_2__] = __webpack_async_dependencies__.then ? (await __webpack_async_dependencies__)() : __webpack_async_dependencies__);










const messages = (0,react_intl__WEBPACK_IMPORTED_MODULE_6__.defineMessages)({
  menuGeneralSettings: {
    "id": "components.Settings.menuGeneralSettings",
    "defaultMessage": 'General'
  },
  menuUsers: {
    "id": "components.Settings.menuUsers",
    "defaultMessage": 'Users'
  },
  menuPlexSettings: {
    "id": "components.Settings.menuPlexSettings",
    "defaultMessage": 'Plex'
  },
  menuJellyfinSettings: {
    "id": "components.Settings.menuJellyfinSettings",
    "defaultMessage": '{mediaServerName}'
  },
  menuServices: {
    "id": "components.Settings.menuServices",
    "defaultMessage": 'Services'
  },
  menuNotifications: {
    "id": "components.Settings.menuNotifications",
    "defaultMessage": 'Notifications'
  },
  menuLogs: {
    "id": "components.Settings.menuLogs",
    "defaultMessage": 'Logs'
  },
  menuJobs: {
    "id": "components.Settings.menuJobs",
    "defaultMessage": 'Jobs & Cache'
  },
  menuAbout: {
    "id": "components.Settings.menuAbout",
    "defaultMessage": 'About'
  }
});

const SettingsLayout = ({
  children
}) => {
  const intl = (0,react_intl__WEBPACK_IMPORTED_MODULE_6__.useIntl)();
  const {
    publicRuntimeConfig
  } = next_config__WEBPACK_IMPORTED_MODULE_5___default()();
  const settings = (0,_app_hooks_useSettings__WEBPACK_IMPORTED_MODULE_2__/* ["default"] */ .Z)();
  const settingsRoutes = [{
    text: intl.formatMessage(messages.menuGeneralSettings),
    route: '/settings/main',
    regex: /^\/settings(\/main)?$/
  }, {
    text: intl.formatMessage(messages.menuUsers),
    route: '/settings/users',
    regex: /^\/settings\/users/
  }, settings.currentSettings.mediaServerType === _server_constants_server__WEBPACK_IMPORTED_MODULE_4__/* .MediaServerType.PLEX */ .g.PLEX ? {
    text: intl.formatMessage(messages.menuPlexSettings),
    route: '/settings/plex',
    regex: /^\/settings\/plex/
  } : {
    text: getAvailableMediaServerName(),
    route: '/settings/jellyfin',
    regex: /^\/settings\/jellyfin/
  }, {
    text: intl.formatMessage(messages.menuServices),
    route: '/settings/services',
    regex: /^\/settings\/services/
  }, {
    text: intl.formatMessage(messages.menuNotifications),
    route: '/settings/notifications/email',
    regex: /^\/settings\/notifications/
  }, {
    text: intl.formatMessage(messages.menuLogs),
    route: '/settings/logs',
    regex: /^\/settings\/logs/
  }, {
    text: intl.formatMessage(messages.menuJobs),
    route: '/settings/jobs',
    regex: /^\/settings\/jobs/
  }, {
    text: intl.formatMessage(messages.menuAbout),
    route: '/settings/about',
    regex: /^\/settings\/about/
  }];
  return /*#__PURE__*/(0,react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsxs)(react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.Fragment, {
    children: [/*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx(_app_components_Common_PageTitle__WEBPACK_IMPORTED_MODULE_0__/* ["default"] */ .Z, {
      title: intl.formatMessage(_app_i18n_globalMessages__WEBPACK_IMPORTED_MODULE_3__/* ["default"].settings */ .Z.settings)
    }), /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx("div", {
      className: "mt-6",
      children: /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx(_app_components_Common_SettingsTabs__WEBPACK_IMPORTED_MODULE_1__/* ["default"] */ .Z, {
        settingsRoutes: settingsRoutes
      })
    }), /*#__PURE__*/react_jsx_runtime__WEBPACK_IMPORTED_MODULE_7__.jsx("div", {
      className: "mt-10 text-white",
      children: children
    })]
  });

  function getAvailableMediaServerName() {
    return intl.formatMessage(messages.menuJellyfinSettings, {
      mediaServerName: publicRuntimeConfig.JELLYFIN_TYPE === 'emby' ? 'Emby' : 'Jellyfin'
    });
  }
};

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (SettingsLayout);
__webpack_async_result__();
} catch(e) { __webpack_async_result__(e); } });

/***/ }),

/***/ 75691:
/***/ ((module, __webpack_exports__, __webpack_require__) => {

__webpack_require__.a(module, async (__webpack_handle_async_dependencies__, __webpack_async_result__) => { try {
/* harmony export */ __webpack_require__.d(__webpack_exports__, {
/* harmony export */   "Z": () => (__WEBPACK_DEFAULT_EXPORT__)
/* harmony export */ });
/* harmony import */ var next_router__WEBPACK_IMPORTED_MODULE_0__ = __webpack_require__(71853);
/* harmony import */ var next_router__WEBPACK_IMPORTED_MODULE_0___default = /*#__PURE__*/__webpack_require__.n(next_router__WEBPACK_IMPORTED_MODULE_0__);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1__ = __webpack_require__(16689);
/* harmony import */ var react__WEBPACK_IMPORTED_MODULE_1___default = /*#__PURE__*/__webpack_require__.n(react__WEBPACK_IMPORTED_MODULE_1__);
/* harmony import */ var _useUser__WEBPACK_IMPORTED_MODULE_2__ = __webpack_require__(86799);
var __webpack_async_dependencies__ = __webpack_handle_async_dependencies__([_useUser__WEBPACK_IMPORTED_MODULE_2__]);
_useUser__WEBPACK_IMPORTED_MODULE_2__ = (__webpack_async_dependencies__.then ? (await __webpack_async_dependencies__)() : __webpack_async_dependencies__)[0];




const useRouteGuard = (permission, options) => {
  const router = (0,next_router__WEBPACK_IMPORTED_MODULE_0__.useRouter)();
  const {
    user,
    hasPermission
  } = (0,_useUser__WEBPACK_IMPORTED_MODULE_2__/* .useUser */ .aF)();
  (0,react__WEBPACK_IMPORTED_MODULE_1__.useEffect)(() => {
    if (user && !hasPermission(permission, options)) {
      router.push('/');
    }
  }, [user, permission, router, hasPermission, options]);
};

/* harmony default export */ const __WEBPACK_DEFAULT_EXPORT__ = (useRouteGuard);
__webpack_async_result__();
} catch(e) { __webpack_async_result__(e); } });

/***/ })

};
;